export declare class Api {
    headers: any;
    settings: any;
    routes: {};
    baseUrl: string;
    idField: string;
    entities: any;
    cache: boolean;
    credentials: any;
    constructor();
    init(settings: any): void;
    post(path: any, object: any): Promise<void>;
    get(path: string, params?: any): Promise<any>;
    patch(path: any, id: any, data: any): Promise<void>;
    delete(path: any, id: any): Promise<void>;
    login(username: any, password: any): void;
    logout(namespace?: string, refresh?: boolean): void;
    setCredentials(credentials: any, namespace?: string): void;
    getCredentials(namespace?: string): any;
    clearCredentials(namespace?: string): void;
    initApiRoutes(): void;
    errorHandler(error: any): void;
    saveLocalResource(resource: any): void;
    loadLocalResource(ID: any): void;
    flushLocalResource(ID: any): void;
}
